#
# Sendmail configuration file for use with slrn for OS/2
#
# This file is distributed with slrn for OS/2, release 0.8.8.1 and
# higher. It is intended to serve as the configuration file for
# sendmail when slrn calls it to send an outgoing email message,
# either as a reply or as a forward.
#
# You must modify this file to suit your own setup. There are three
# things that must be changed, each flagged with the text *slrn*.
# Comments are provided to tell you what to change.
#
# You must edit this file with a text editor that preserves tabs.
# The OS/2 system editor, E.EXE, will work. Do NOT use the OS/2
# programmer's editor, EPM.EXE.
#
# Many thanks to Marcel J. E. Mol, of IBM Europe, for coming up
# with this file and saving me the trouble. His comments are
# preserved below.
#
# Jay Maynard, jmaynard@nwpros.com		6 May 1996
#
#----
#
#Sending small messages in Ultimail takes ages, and generates
#a lot of traffic. A 100 byte message easily generates 30kB traffic.
#Actually this is not a problem of ultimail, but of sendmail.
#Sendmail tries to canonicalise every email address in the message.
#It uses DNS for that, resulting in excessive network calls...
#The supplied sendmail.uml is the cause of this.
#
#I created a very simple and small sendmail.uml file that directly
#sends the message to the mail-gateway, without trying to canonicalise
#things. For this same 100 byte message only around 3kB are send...
#
#Use this at your own risk. This is not (yet) supported by IBM. I'm
#using this for a couple of days now without any problem. The only
#drawback is that local mail also is delivered via the gateway and
#not directly on your own machine. As I'm the only user on my system and
#have little need to send messages to myself, I don't care...
#
#
#To use this .uml file, copy it to /tcpip/etc/sendmail/uml.
#Make sure you make a backup of the current .uml file just in case...
#
#-Marcel
#
#=====================================================================
#Marcel J.E. Mol		marcelm@ibm.net
#			marcel@nl.ibm.com
#IBM Internet HelpDesk Europe (Technical support)
#Phone: free phone support, http://www.ibm.net/support/phone.html
#===================================================================
#
# Hack to allow faster delivery of mail from OS/2 Warp
# We try to remove all DNS traffic that is generated by
# using the default sendmail.cf (oops sendmail.uml...)
#
#	21jun95 Marcel J.E. Mol
#		First release
#	30aug95 Marcel J.E. Mol
#		extended rule 3 a bit to avoid problems with
#		email addresses
#
# Use this at your own risk. Testing with plain internet
# addresses, i.e user@machine.domain work fine for me.
# This cf file just passes everything directly to the mail
# gateway. The only rewriting it does is changin local
# username to username@ibm.net (i.e. username@$H)

#
# Host-specific macros
#
# Note: The values of these macros are merely placeholders.
#       Actual values will get substituted later at delivery
#       time when sendmail is invoked with the -oM command
#       line flag to override these configuration file values.
#

# The fully-qualified hostname of the mail relay
# note that ultimail will redefine this using command line options
#      to the host below or the one with ca.us.ibm.net.
# When you don't want ultimail to mess up this macro, just make
# it a different macro and change ruleset 0 accordingly ($V)...
# DVsmtp-gw01.ny.us.ibm.net
#
# *slrn* Put the name of your outgoing SMTP mail relay host here.
DVyour.smtp.relay.host

# Your fully-qualified domain name
# note that ultimail will redefine this using command line options.
#       to the name below...
# When you don't want ultimail to mess up this macro, just make
# it a different macro and change ruleset 3 accordingly ($H)...
#DHibm.net
#
# *slrn* Put the name of the host you receive mail at here.
DHyour.email.host

# Version # of this file
DZ1.0um

# Official canonical hostname.
#
# Do not bother setting macro $w (hostname) since we do not use it
# and sendmail will set it for us anyway.
Dj$w

#
# Standard macros
#

# Name used for error messages
DnMailer-Daemon
# UNIX header format
DlFrom $g  $d
# Delimiter (operator) characters
Do.:%@!^=/[]
# Format of a total name
Dq<$g>

#
# Options
#

# Process messages in the background.
Odbackground
# Accept oldstyle addresses
Oo
# SMTP read timeout
# Or15m
Or2m
# Queue directory
#
# *slrn* Put the name of your mail queue directory here. It will
#        be either <drive>:tcpip\etc\mqueue or <drive>:\mptn\etc\mqueue
#        depending on whether or not you're using Warp Connect.
OQc:\mptn\etc\mqueue
# Always queue for safety
Os
# Time to live in the queue
OT5d

#
# Message precedences
# Note: use equal weight so we can let relay decide what to do
#
Pfirst-class=0
Pspecial-delivery=0
Pjunk=0

#
# Trusted users
# Note: not used by OS/2 sendmail
#
Troot daemon

#
# Required headers
#
HReceived: $?sfrom $s $.by $j ($v/$Z) id $i; $b
H?D?Date: $a
H?F?From: $q
H?M?Message-Id: <$t.$i@$j>
H?D?Resent-Date: $a
H?F?Resent-From: $q
H?M?Resent-Message-Id: <$t.$i@$j>
H?x?Full-Name: $x

# Throw all mail to relay
S0
R$*			$#relay $@$V $:$1

# Rewrite local addresses so they look like they are from our local domain
S3
R$*<$*<$*>$*>$*	$3		denest
R$*<$+>$*	$2		RFC822
R$-		$: $1@$H
R$*		$@ $1		default, unchanged

#
# Mail Delivery Agents
#
Mrelay,	P=[IPC], F=mDFMuCX, S=0, R=0, A=IPC $h
Mlocal, P=c:\tcpip\umail\umailer.exe, F=lsDFP,  S=10, R=20, A=-dest c:\tcpip\umail\server\inbox -to $u
Mprog,  P=xxx, A=Required by sendmail but we do not use this

# Sendmail configuration file *must* end with a newline - do not remove below newline

